Public Class SearchEngineResult

    Private m_Title As String           'The title text of the result (top line)
    Private m_Text As String            'The text body for the result
    Private m_URL As String              'The URL of the result
    Private m_UpdatedDate As Date       'The date google/msn says the page was updated (if available)
    Private m_Position As Long          'Position (order/rank) number of this adword

    ''' <summary>
    ''' Gets or sets the title text of the result (top line).
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Title() As String
        Get
            Return m_Title
        End Get
        Set(ByVal value As String)
            m_Title = value
        End Set
    End Property

    ''' <summary>
    ''' Gets or sets the text body for the result.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Text() As String
        Get
            Return m_Text
        End Get
        Set(ByVal value As String)
            m_Text = value
        End Set
    End Property

    ''' <summary>
    ''' Gets or sets the URL of the result.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property URL() As String
        Get
            Return m_URL
        End Get
        Set(ByVal value As String)
            m_URL = value
        End Set
    End Property

    ''' <summary>
    ''' Gets or sets the date the search engine says the page was updated (if available).
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property UpdatedDate() As Date
        Get
            Return m_UpdatedDate
        End Get
        Set(ByVal value As Date)
            m_UpdatedDate = value
        End Set
    End Property

    ''' <summary>
    ''' Gets or sets the position (order/rank) number of this adword.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Position() As Long
        Get
            Return m_Position
        End Get
        Set(ByVal value As Long)
            m_Position = value
        End Set
    End Property
End Class
